# SolWall Payment Gateway

**Tags:** solana, payment gateway, WooCommerce, wallet, cryptocurrency  
**Requires at least:** 5.0  
**Tested up to:** 6.6  
**Stable tag:** 1.5  
**License:** GPLv3  
**License URI:** http://www.gnu.org/licenses/gpl-3.0.html  

A Solana Wallet Payment Gateway for WooCommerce.

## Description

A Solana Wallet Payment Gateway for WooCommerce.

### Features

- Connects directly to Solana wallets for streamlined transactions.
- Supports Phantom, Solflare, and other popular Solana wallets.
- Easy to set up with WooCommerce payment settings.
- Provides real-time transaction status updates.

## Installation

1. Download the plugin and upload it to your WordPress site's plugins directory, or install it directly through the WordPress plugins page.
2. Activate the plugin through the 'Plugins' menu in WordPress.
3. Go to WooCommerce -> Settings -> Payments -> SolWall to configure your Solana wallet and other payment options.

## Usage

Once configured, customers can select SolWall at checkout and complete their purchase directly through their Solana wallet, ensuring secure and efficient payments.

## Frequently Asked Questions

**Q: Is SolWall secure?**  
A: Yes, SolWall leverages Solana's secure blockchain infrastructure, and transactions occur directly from the customer’s wallet to your designated address.

**Q: Which Solana wallets are supported?**  
A: SolWall currently supports Phantom, Solflare, and other wallets compatible with Solana.

## Changelog

### 1.4
* Updated to resolve plugin header and README discrepancies.

### 1.3
* Updated for compatibility with WordPress version 6.6.

### 1.0
* Initial release with basic Solana wallet payment functionality.
